Skip to main content
GET
/
contacts
List Contacts
curl --request GET \
  --url https://api.kejue.co/api/v1/contacts \
  --header 'X-API-Key: <api-key>'
{
  "contacts": [
    {
      "id": "<string>",
      "phone": "<string>",
      "whatsapp_number": "<string>",
      "email": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "company": "<string>",
      "job_title": "<string>",
      "country": "<string>",
      "timezone": "<string>",
      "language": "<string>",
      "tags": [
        "<string>"
      ],
      "metadata": {},
      "source": "<string>",
      "is_active": true,
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Authorizations

X-API-Key
string
header
required

Workspace API key (e.g. kej_live_...)

Query Parameters

limit
integer
default:100
Required range: x <= 1000
offset
integer
default:0
Required range: x >= 0
search
string | null

Search by name, phone, email, or company

tags
string | null

Comma-separated tags to filter by

country
string | null

Filter by country code

language
string | null

Filter by language code

has_phone
boolean | null

Filter contacts with/without phone

Response

Successful Response

Paginated list of contacts.

contacts
ContactResponse · object[]
required
total
integer
required
limit
integer
required
offset
integer
required